aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--deployment/heat/onap-oom/scripts/cleanup.sh23
-rw-r--r--version-manifest/pom.xml19
2 files changed, 27 insertions, 15 deletions
diff --git a/deployment/heat/onap-oom/scripts/cleanup.sh b/deployment/heat/onap-oom/scripts/cleanup.sh
new file mode 100644
index 000000000..03bcd170e
--- /dev/null
+++ b/deployment/heat/onap-oom/scripts/cleanup.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+IFS='
+'
+
+if [ -z $1 ]; then
+ echo "ONAP component name missing"
+ echo "Usage: ./cleanup.sh ONAP_COMPONENT_NAME"
+ exit 1
+fi
+
+COMPONENT=$1
+
+if [ $COMPONENT == "dcae" ] || [ $COMPONENT == "DCAE" ]; then
+ kubectl delete service consul -n onap
+fi
+
+for op in secrets configmaps pv services deployments statefulsets; do
+ ARRAY=(`kubectl get $op -n onap | grep $COMPONENT | awk '{print $1}'`)
+ for i in ${ARRAY[*]}; do
+ kubectl delete $op -n onap $i
+ done
+done
diff --git a/version-manifest/pom.xml b/version-manifest/pom.xml
index 3c6dea7f8..4202b2655 100644
--- a/version-manifest/pom.xml
+++ b/version-manifest/pom.xml
@@ -14,29 +14,18 @@
<url>https://www.onap.org</url>
<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
- <mavenVersion>3.2.3</mavenVersion>
</properties>
<dependencies>
<dependency>
- <groupId>org.apache.maven</groupId>
- <artifactId>maven-plugin-api</artifactId>
- <version>2.0</version>
- </dependency>
- <dependency>
<groupId>org.apache.maven.plugin-tools</groupId>
<artifactId>maven-plugin-annotations</artifactId>
- <version>3.2</version>
+ <version>3.5.2</version>
<scope>provided</scope>
</dependency>
<dependency>
- <groupId>org.codehaus.plexus</groupId>
- <artifactId>plexus-utils</artifactId>
- <version>3.0.8</version>
- </dependency>
- <dependency>
<groupId>org.apache.maven</groupId>
<artifactId>maven-core</artifactId>
- <version>${mavenVersion}</version>
+ <version>3.5.4</version>
</dependency>
<!-- https://mvnrepository.com/artifact/org.apache.commons/commons-csv -->
<dependency>
@@ -136,7 +125,7 @@
</execution>
<execution>
<id>check-docker-images-released</id>
- <phase>validate</phase>
+ <phase>verify</phase>
<goals>
<goal>exec</goal>
</goals>
@@ -149,7 +138,7 @@
</execution>
<execution>
<id>check-docker-staging-images-exist</id>
- <phase>validate</phase>
+ <phase>verify</phase>
<goals>
<goal>exec</goal>
</goals>